# Poco::Data::MySQL

# class StatementException

Library: Data/MySQL
Package: MySQL
Header: Poco/Data/MySQL/MySQLException.h

## Description

StatementException

## Inheritance

Direct Base Classes: MySQLException

All Base Classes: Poco::Data::DataException, MySQLException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### StatementException

StatementException(
const std::string & msg
);

Creates StatementException from string.

### StatementException

StatementException(
const std::string & text,
MYSQL_STMT * h,
const std::string & stmt = ""
);

Creates StatementException from string and handle.